Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Class PortalAppflowHelper

    java.lang.Object
      |
      +--com.bea.portal.appflow.PortalAppflowHelper

public abstract class PortalAppflowHelper
extends java.lang.Object

An static helper class for assisting in common programming tasks.

Field Summary
`protected static PortalManagerHome` | `portalManagerHome` A cached reference to the PortalManager Home.

Constructor Summary
`PortalAppflowHelper()`

Method Summary
`static PortalManager` | `createPortalManager()` Create a new instance of the PortalManager EJB from the cached PortalManagerHome.
`static com.bea.p13n.appflow.webflow.WebflowExecutor` | `getWebflowExecutor(PortalContext portalContext)` Obtain an instance of the WebflowExecutor.
`static WebflowResponse` | `invokePortletWebflow(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String namespace, java.lang.String origin, java.lang.String event, PortalRequest portalRequest, PageState pageState, PortletState portletState)` Invoke a portlet's webflow, and store the final presentation node in the portal's content map.
`static WebflowResponse` | `invokeWebflow(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String namespace, java.lang.String origin, java.lang.String event, PortalRequest portalRequest)` Invoke a webflow.
`static WebflowResponse` | `invokeWebflow(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String namespace, java.lang.String origin, java.lang.String event, com.bea.p13n.appflow.webflow.WebflowExecutor executor)` Invoke a webflow.
`static void` | `updatePortalSession(javax.servlet.http.HttpServletRequest request, PortalSession portalSession)` Safely updates the PortalSession in the HttpSession and the PortalState.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalManagerHome

    protected static PortalManagerHome portalManagerHome

  A cached reference to the PortalManager Home.

Constructor Detail

### PortalAppflowHelper

    public PortalAppflowHelper()

Method Detail

### createPortalManager

    public static PortalManager createPortalManager()
                                             throws java.rmi.RemoteException,
                                                    javax.ejb.CreateException

  Create a new instance of the PortalManager EJB from the cached PortalManagerHome.

### updatePortalSession

    public static void updatePortalSession(javax.servlet.http.HttpServletRequest request,
                                           PortalSession portalSession)

  Safely updates the PortalSession in the HttpSession and the PortalState.

### getWebflowExecutor

    public static com.bea.p13n.appflow.webflow.WebflowExecutor getWebflowExecutor(PortalContext portalContext)

  Obtain an instance of the WebflowExecutor. Used to invoke portlet webflows.

### invokeWebflow

    public static WebflowResponse invokeWebflow(javax.servlet.http.HttpServletRequest request,
                                                javax.servlet.http.HttpServletResponse response,
                                                java.lang.String namespace,
                                                java.lang.String origin,
                                                java.lang.String event,
                                                PortalRequest portalRequest)
                                         throws ConfigurationException,
                                                WebflowSecurityException

  Invoke a webflow. Used to invoke portlets webflows. A webflow will continue to run until a presentation node is found and that is return in the WebflowResponse.

### invokeWebflow

    public static WebflowResponse invokeWebflow(javax.servlet.http.HttpServletRequest request,
                                                javax.servlet.http.HttpServletResponse response,
                                                java.lang.String namespace,
                                                java.lang.String origin,
                                                java.lang.String event,
                                                com.bea.p13n.appflow.webflow.WebflowExecutor executor)
                                         throws ConfigurationException,
                                                WebflowSecurityException

  Invoke a webflow. Used to invoke portlets webflows. A webflow will continue to run until a presentation node is found and that is return in the WebflowResponse.

  Throws:
    WebflowSecurityException - Throws a security exception if a successful login has been invoked or a proctedted node has been reached which requires login.

### invokePortletWebflow

    public static WebflowResponse invokePortletWebflow(javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.http.HttpServletResponse response,
                                                       java.lang.String namespace,
                                                       java.lang.String origin,
                                                       java.lang.String event,
                                                       PortalRequest portalRequest,
                                                       PageState pageState,
                                                       PortletState portletState)
                                                throws ConfigurationException,
                                                       WebflowSecurityException

  Invoke a portlet's webflow, and store the final presentation node in the portal's content map.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved